import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/myposts_newsfeed_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/myposts_newsfeed_entity.g.dart';

@JsonSerializable()
class MypostsNewsfeedEntity {
	int? count;
	int? page;
	int? limit;
	@JSONField(name: "count_page")
	int? countPage;
	List<MypostsNewsfeedList>? list;

	MypostsNewsfeedEntity();

	factory MypostsNewsfeedEntity.fromJson(Map<String, dynamic> json) => $MypostsNewsfeedEntityFromJson(json);

	Map<String, dynamic> toJson() => $MypostsNewsfeedEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class MypostsNewsfeedList {
	int? id;
	String? content;
	List<String>? resources;
	@JSONField(name: "likes_count")
	int? likesCount;
	@JSONField(name: "comments_count")
	int? commentsCount;
	bool? liked;
	@JSONField(name: "created_at")
	String? createdAt;
	MypostsNewsfeedListAccount? account;

	MypostsNewsfeedList();

	factory MypostsNewsfeedList.fromJson(Map<String, dynamic> json) => $MypostsNewsfeedListFromJson(json);

	Map<String, dynamic> toJson() => $MypostsNewsfeedListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class MypostsNewsfeedListAccount {
	int? id;
	String? name;
	String? avatar;
	bool? followed;

	MypostsNewsfeedListAccount();

	factory MypostsNewsfeedListAccount.fromJson(Map<String, dynamic> json) => $MypostsNewsfeedListAccountFromJson(json);

	Map<String, dynamic> toJson() => $MypostsNewsfeedListAccountToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}